Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566833 - [abrt] deja-dup: Gigacage::<lambda()>::operator()(): deja-dup-monitor killed by SIGSEGV
Summary: [abrt] deja-dup: Gigacage::<lambda()>::operator()(): deja-dup-monitor killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: deja-dup
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5dcffef92d7642aa3d11f3ce2bc...
: 1569641 1580072 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 05:37 UTC by Noel Duffy
Modified: 2018-05-29 11:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.48 KB, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: core_backtrace (4.47 KB, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: dso_list (11.43 KB, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: environ (1.89 KB, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: maps (52.20 KB, text/plain)
2018-04-13 05:37 UTC, Noel Duffy
no flags Details
File: open_fds (184 bytes, text/plain)
2018-04-13 05:38 UTC, Noel Duffy
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-13 05:38 UTC, Noel Duffy
no flags Details
File: var_log_messages (28 bytes, text/plain)
2018-04-13 05:38 UTC, Noel Duffy
no flags Details

Description Noel Duffy 2018-04-13 05:37:40 UTC
Description of problem:
It happened on login, after the host was booted.

Version-Release number of selected component:
deja-dup-37.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/deja-dup/deja-dup-monitor
crash_function: Gigacage::<lambda()>::operator()
executable:     /usr/libexec/deja-dup/deja-dup-monitor
journald_cursor: s=12c6136a1ccc4111be2b1401729d13f8;i=852950;b=0b9ddf6abb084be3b2176a3718313dd1;m=2a962110;t=569b41e360281;x=6874698169d8ed81
kernel:         4.15.15-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Gigacage::<lambda()>::operator() at /usr/src/debug/webkitgtk-2.20.0/Source/bmalloc/bmalloc/Gigacage.cpp:154
 #1 std::__invoke_impl<void, Gigacage::ensureGigacage()::<lambda()> > at /usr/include/c++/7/bits/invoke.h:60
 #2 std::__invoke<Gigacage::ensureGigacage()::<lambda()> > at /usr/include/c++/7/bits/invoke.h:95
 #3 std::<lambda()>::operator() at /usr/include/c++/7/mutex:672
 #5 std::<lambda()>::_FUN(void) at /usr/include/c++/7/mutex:677
 #6 __pthread_once_slow at pthread_once.c:116
 #7 __gthread_once at /usr/include/c++/7/x86_64-redhat-linux/bits/gthr-default.h:699
 #8 std::call_once<Gigacage::ensureGigacage()::<lambda()> > at /usr/include/c++/7/mutex:684
 #9 Gigacage::ensureGigacage at /usr/src/debug/webkitgtk-2.20.0/Source/bmalloc/bmalloc/Gigacage.cpp:108
 #10 bmalloc::Heap::Heap at /usr/src/debug/webkitgtk-2.20.0/Source/bmalloc/bmalloc/Heap.cpp:58

Potential duplicate: bug 1556743

Comment 1 Noel Duffy 2018-04-13 05:37:47 UTC
Created attachment 1421199 [details]
File: backtrace

Comment 2 Noel Duffy 2018-04-13 05:37:48 UTC
Created attachment 1421200 [details]
File: cgroup

Comment 3 Noel Duffy 2018-04-13 05:37:50 UTC
Created attachment 1421201 [details]
File: core_backtrace

Comment 4 Noel Duffy 2018-04-13 05:37:51 UTC
Created attachment 1421202 [details]
File: cpuinfo

Comment 5 Noel Duffy 2018-04-13 05:37:53 UTC
Created attachment 1421203 [details]
File: dso_list

Comment 6 Noel Duffy 2018-04-13 05:37:54 UTC
Created attachment 1421204 [details]
File: environ

Comment 7 Noel Duffy 2018-04-13 05:37:56 UTC
Created attachment 1421205 [details]
File: exploitable

Comment 8 Noel Duffy 2018-04-13 05:37:57 UTC
Created attachment 1421206 [details]
File: limits

Comment 9 Noel Duffy 2018-04-13 05:37:59 UTC
Created attachment 1421207 [details]
File: maps

Comment 10 Noel Duffy 2018-04-13 05:38:01 UTC
Created attachment 1421208 [details]
File: open_fds

Comment 11 Noel Duffy 2018-04-13 05:38:02 UTC
Created attachment 1421209 [details]
File: proc_pid_status

Comment 12 Noel Duffy 2018-04-13 05:38:03 UTC
Created attachment 1421210 [details]
File: var_log_messages

Comment 13 Jeffrey Starr 2018-04-19 16:08:40 UTC
*** Bug 1569641 has been marked as a duplicate of this bug. ***

Comment 14 John 2018-04-19 20:08:23 UTC
Similar problem has been detected:

On normal log in to my account this sometimes happens. Also it happens sometimes after a reboot (Gnome freezes occassionally and rebooting is the only cure).

I do not know how to reproduce it.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/deja-dup/deja-dup-monitor
crash_function: Gigacage::<lambda()>::operator()
executable:     /usr/libexec/deja-dup/deja-dup-monitor
journald_cursor: s=25f0f0a9d1fe467f8c1ece4be82c9711;i=734df;b=ad23467bfffb44fe9f811b2aeaccf07a;m=63b44c4;t=5696bc7692ed8;x=f6bf5aaec5745f05
kernel:         4.15.14-200.fc26.x86_64
package:        deja-dup-37.1-1.fc26
reason:         deja-dup-monitor killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Dennis Wagelaar 2018-04-28 13:22:30 UTC
Similar problem has been detected:

Logged into my Gnome session.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/deja-dup/deja-dup-monitor
crash_function: Gigacage::<lambda()>::operator()
executable:     /usr/libexec/deja-dup/deja-dup-monitor
journald_cursor: s=ee0a211c27a44a3eaa63e589e447626a;i=9562;b=bba65d1eb5314165b4a1d7beba950b9e;m=3513caa;t=56ad8bc42b78e;x=9ba10dcc52a4a8f2
kernel:         4.15.17-200.fc26.x86_64
package:        deja-dup-37.1-1.fc26
reason:         deja-dup-monitor killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Comment 16 Fedora End Of Life 2018-05-03 07:52:05 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 rychlikjobs 2018-05-19 20:30:15 UTC
*** Bug 1580072 has been marked as a duplicate of this bug. ***

Comment 18 Oral Groves 2018-05-24 19:54:07 UTC
Similar problem has been detected:

Not sure. I came back from lunch and the system was sleeping. When I woke it up I got the
crash notice.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/deja-dup/deja-dup-monitor
crash_function: Gigacage::<lambda()>::operator()
executable:     /usr/libexec/deja-dup/deja-dup-monitor
journald_cursor: s=00f84e0101c24b35b5132bf393547c0c;i=14ff7b;b=c339fea78018447b8db231e3395faa09;m=4876335292;t=56cf88c109f11;x=75962701db270e4
kernel:         4.15.17-200.fc26.x86_64
package:        deja-dup-37.1-1.fc26
reason:         deja-dup-monitor killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Fedora End Of Life 2018-05-29 11:20:49 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.